package autolist;

import java.util.List;
import javax.servlet.http.*;
import net.sf.hibernate.*;
import org.apache.struts.action.*;
import org.springframework.orm.hibernate.*;

/**
 * @struts.action
 *  path="/autolist"
 * @struts.action-forward
 *  name="success"
 *  path="/hibernatelist.jsp"
 * @spring.bean
 *  parent="hibernateBase"
 * @spring.property
 *  name="tableClass"
 *  value="mapping.Tmaker"
 */
public class ListAction extends Action{
	public ActionForward execute(ActionMapping mapping,ActionForm form,
			HttpServletRequest request,HttpServletResponse response){
		List list = (List)hibernateTemplate.execute(new HibernateCallback(){
            public Object doInHibernate(Session session)
            throws HibernateException
            {
                Criteria c = session.createCriteria(tableClass);
                return c.list();
            }
        });
		request.setAttribute("list", list);
		
		return mapping.findForward("success");
	}
	
	private HibernateTemplate hibernateTemplate;
	public void setSessionFactory(SessionFactory sessionFactory) {
		hibernateTemplate = new HibernateTemplate(sessionFactory);
	}	
	
	private Class tableClass;
	public void setTableClass(String tableClassName) 
	throws ClassNotFoundException{
		tableClass = Class.forName(tableClassName);
	}
}
