package mapping;

import java.io.Serializable;
import java.util.Set;
import org.apache.commons.lang.builder.ToStringBuilder;


/** 
 *        @hibernate.class
 *         table="t_maker"
 *        @autolist.table
 *         name="[J["
 *         path="/makerlist"
*/
public class Tmaker implements Serializable {

    /** identifier field */
    private Integer makerId;

    /** nullable persistent field */
    private String makerName;

    /** persistent field */
    private Set tshohins;

    /** full constructor */
    public Tmaker(Integer makerId, String makerName, Set tshohins) {
        this.makerId = makerId;
        this.makerName = makerName;
        this.tshohins = tshohins;
    }

    /** default constructor */
    public Tmaker() {
    }

    /** minimal constructor */
    public Tmaker(Integer makerId, Set tshohins) {
        this.makerId = makerId;
        this.tshohins = tshohins;
    }

    /** 
     *            @hibernate.id
     *             generator-class="sequence"
     *             type="java.lang.Integer"
     *             column="maker_id"
	 *            @hibernate.generator-param
	 *             name="sequence"
	 *             value="t_maker_maker_id_seq"
     *            @autolist.column
	 *             name="[J[ID"
     */
    public Integer getMakerId() {
        return this.makerId;
    }

    public void setMakerId(Integer makerId) {
        this.makerId = makerId;
    }

    /** 
     *            @hibernate.property
     *             column="maker_name"
     *             length="-1"
     *            @autolist.column
	 *             name="[J["
     */
    public String getMakerName() {
        return this.makerName;
    }

    public void setMakerName(String makerName) {
        this.makerName = makerName;
    }

    /** 
     *            @hibernate.set
     *             lazy="true"
     *             inverse="true"
     *             cascade="none"
     *            @hibernate.collection-key
     *             column="maker_id"
     *            @hibernate.collection-one-to-many
     *             class="mapping.Tshohin"
     *         
     */
    public Set getTshohins() {
        return this.tshohins;
    }

    public void setTshohins(Set tshohins) {
        this.tshohins = tshohins;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("makerId", getMakerId())
            .toString();
    }

}
