package mapping;

import java.io.Serializable;
import org.apache.commons.lang.builder.ToStringBuilder;


/** 
 *        @hibernate.class
 *         table="t_shohin"
 *        @autolist.table
 *         name="i"
 *         path="/shohinlist"
*/
public class Tshohin implements Serializable {

    /** identifier field */
    private Integer shohinId;

    /** nullable persistent field */
    private String shohinName;

    /** persistent field */
    private mapping.Tmaker tmaker;

    /** full constructor */
    public Tshohin(Integer shohinId, String shohinName, mapping.Tmaker tmaker) {
        this.shohinId = shohinId;
        this.shohinName = shohinName;
        this.tmaker = tmaker;
    }

    /** default constructor */
    public Tshohin() {
    }

    /** minimal constructor */
    public Tshohin(Integer shohinId, mapping.Tmaker tmaker) {
        this.shohinId = shohinId;
        this.tmaker = tmaker;
    }

    /** 
     *            @hibernate.id
     *             generator-class="sequence"
     *             type="java.lang.Integer"
     *             column="shohin_id"
	 *            @hibernate.generator-param
	 *             name="sequence"
	 *             value="t_shohin_shohin_id_seq"
     *            @autolist.column
	 *             name="iID"
     */
    public Integer getShohinId() {
        return this.shohinId;
    }

    public void setShohinId(Integer shohinId) {
        this.shohinId = shohinId;
    }

    /** 
     *            @hibernate.property
     *             column="shohin_name"
     *             length="-1"
     *            @autolist.column
	 *             name="i"
     */
    public String getShohinName() {
        return this.shohinName;
    }

    public void setShohinName(String shohinName) {
        this.shohinName = shohinName;
    }

    /** 
     *            @hibernate.many-to-one
     *             not-null="true"
     *            @hibernate.column name="maker_id"         
     *            @autolist.column
	 *             name="[J["
     *            @autolist.lookup
	 *             field="makerName"
     */
    public mapping.Tmaker getTmaker() {
        return this.tmaker;
    }

    public void setTmaker(mapping.Tmaker tmaker) {
        this.tmaker = tmaker;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("shohinId", getShohinId())
            .toString();
    }

}
